Package org.jfree.layouting.normalizer.content

## Class PageBreakException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jfree.layouting.normalizer.content.PageBreakException

-     public class PageBreakException
      extends java.lang.Exception

  A pagebreak exception is a cheap out-of-order-return (some kind of GoTo, but less chaotic).
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageBreakException​(CSSValue pageName, PseudoPage[] pseudoPages, int pageCount)` | Constructs a new exception with `null` as its detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getPageCount​()` |
    `CSSValue` | `getPageName​()` |
    `PseudoPage[]` | `getPseudoPages​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### PageBreakException

          public PageBreakException​(CSSValue pageName,
                                    PseudoPage[] pseudoPages,
                                    int pageCount)

      Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

  - ### Method Detail

    - #### getPageName

          public CSSValue getPageName​()

    - #### getPseudoPages

          public PseudoPage[] getPseudoPages​()

    - #### getPageCount

          public int getPageCount​()